------------------------------------------------------------------------------
StyleTrasher = StyleTrasher or {}
StyleTrasher.version = "0.7"
StyleTrasher.name = "StyleTrasher"

-- Local variables ------------------------------------------------------------
local savedVars = {}

-- bagID is so much fancier than the onstant, in this case it is hardcoded. you 
-- can of course change it according to your needs. 
local bagId  = INVENTORY_BACKPACK

-- this finds out how many bag space you have overall. important for iterating
-- over your bags.
local _, numBagSlots = GetBagInfo(INVENTORY_BACKPACK)

-- this is the initialize method. It doesn't do anything, but that may change.
StyleTrasher.Loaded = function(eventCode, addonName)
	if (StyleTrasher.name == addonName) then
	end
end

-- actual code, here is the magic

local function GetItemIdFromBagAndSlot(bagId, slotIndex)
    local itemLink = GetItemLink(bagId, slotIndex)
    local itemId = select(4, ZO_LinkHandler_ParseLink(itemLink))
    return tonumber(itemId)
end

StyleTrasher.DeleteIt = function()
   for slotId = 0,  numBagSlots do  
	itemID = GetItemIdFromBagAndSlot(bagId, slotId) 	
		if StyleTrasher.IsStyle(itemID) then			
  			DestroyItem(bagId, slotId)
			PlaySound(SOUNDS.INVENTORY_ITEM_JUNKED)
 	 	end  
	end	  
end

StyleTrasher.JunkIt = function()
   for slotId = 0,  numBagSlots do  
	itemID = GetItemIdFromBagAndSlot(bagId, slotId) 	
		if StyleTrasher.IsStyle(itemID) then			
  			SetItemIsJunk(bagId, slotId, true) 
			PlaySound(SOUNDS.INVENTORY_ITEM_JUNKED)
 	 	end  
	end	  
end


EVENT_MANAGER:RegisterForEvent("StyleTrasher", EVENT_ADD_ON_LOADED, StyleTrasher.Loaded)

ZO_CreateStringId("SI_BINDING_NAME_STYLE_TRASHER_JUNK_IT", "Junk all common style items")
ZO_CreateStringId("SI_BINDING_NAME_STYLE_TRASHER_DELETE_IT", "Destroy all common style items")
